diff --git i/src/backend/access/common/heaptuple.c w/src/backend/access/common/heaptuple.c
index 08d2b21..e5dbcc1 100644
--- i/src/backend/access/common/heaptuple.c
+++ w/src/backend/access/common/heaptuple.c
@@ -140,10 +140,7 @@ heap_fill_tuple(TupleDesc tupleDesc,
 	int			i;
 	int			numberOfAttributes = tupleDesc->natts;
 	Form_pg_attribute *att = tupleDesc->attrs;
-
-#ifdef USE_ASSERT_CHECKING
 	char	   *start = data;
-#endif
 
 	if (bit != NULL)
 	{
diff --git i/src/backend/executor/execGrouping.c w/src/backend/executor/execGrouping.c
index bd7973e..2151f19 100644
--- i/src/backend/executor/execGrouping.c
+++ w/src/backend/executor/execGrouping.c
@@ -540,10 +540,7 @@ static int
 TupleHashTableMatch(const void *key1, const void *key2, Size keysize)
 {
 	MinimalTuple tuple1 = ((const TupleHashEntryData *) key1)->firstTuple;
-
-#ifdef USE_ASSERT_CHECKING
 	MinimalTuple tuple2 = ((const TupleHashEntryData *) key2)->firstTuple;
-#endif
 	TupleTableSlot *slot1;
 	TupleTableSlot *slot2;
 	TupleHashTable hashtable = CurTupleHashTable;
diff --git i/src/backend/replication/syncrep.c w/src/backend/replication/syncrep.c
index 6bf69f0..3ec5a06 100644
--- i/src/backend/replication/syncrep.c
+++ w/src/backend/replication/syncrep.c
@@ -72,9 +72,7 @@ static void SyncRepCancelWait(void);
 
 static int	SyncRepGetStandbyPriority(void);
 
-#ifdef USE_ASSERT_CHECKING
 static bool SyncRepQueueIsOrderedByLSN(void);
-#endif
 
 /*
  * ===========================================================
@@ -603,7 +601,6 @@ SyncRepUpdateSyncStandbysDefined(void)
 	}
 }
 
-#ifdef USE_ASSERT_CHECKING
 static bool
 SyncRepQueueIsOrderedByLSN(void)
 {
@@ -635,7 +632,6 @@ SyncRepQueueIsOrderedByLSN(void)
 
 	return true;
 }
-#endif
 
 /*
  * ===========================================================
diff --git i/src/bin/psql/common.h w/src/bin/psql/common.h
index 8037cbc..1ae5671 100644
--- i/src/bin/psql/common.h
+++ w/src/bin/psql/common.h
@@ -16,7 +16,7 @@
 #include <assert.h>
 #define psql_assert(p) assert(p)
 #else
-#define psql_assert(p)
+#define psql_assert(p) ((void)(p))
 #endif
 
 #define atooid(x)  ((Oid) strtoul((x), NULL, 10))
diff --git i/src/include/postgres.h w/src/include/postgres.h
index c429f29..05b2d65 100644
--- i/src/include/postgres.h
+++ w/src/include/postgres.h
@@ -665,7 +665,7 @@ extern PGDLLIMPORT bool assert_enabled;
 								   __FILE__, __LINE__))))
 
 #ifndef USE_ASSERT_CHECKING
-#define Assert(condition)
+#define Assert(condition)	((void)(condition))
 #define AssertMacro(condition)	((void)true)
 #define AssertArg(condition)
 #define AssertState(condition)
